<!-- //////////////////////START-SAIL-EDIT////////////////////////////// -->
<div class="card">
    <div class="card-header">
        <h2>Editar Venta</h2>
    </div>

    <div class="row p-15">

        <div class="col-lg-9 col-md-9 col-sm-12 col-sx-12">
            <span class="c-blue m-t-15 m-l-10">Información de la Empresa</span>

            <div class="row">
                <form role="form" id="form-ve">
                    <div class="col-lg-6 col-md-6 col-sm-12 col-sx-12 m-t-15">
                        <div class="row">
							<div class="col-lg-11 col-md-11 col-sm-11 col-sx-11">
								<div class="input-group">
									<span class="input-group-addon"><i class="zmdi zmdi-collection-item-1"></i></span>
									<div class="fg-line">
										<input type="text" class="form-control" id="opportunity_id" name="opportunity_id" readonly placeholder="Oportunidad #" value="Oportunidad #{{opportunity.opportunity_id}}">
									</div>
								</div>
							</div>
							<div class="col-lg-1 col-md-1 col-sm-1 col-sx-1 text-left">
								<button type="button" onclick="window.location.href='../../oportunidad/editar/{{opportunity.opportunity_id}}';" class="btn btn-info waves-effect"  title="Ver oportunidad">
                                    <i class="zmdi zmdi-eye"></i>
                                </button>
							</div>
						</div>
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-12 col-sx-12 m-t-15">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="zmdi zmdi-account-box"></i></span>
                            <div class="fg-line">
                                <input type="text" class="form-control" id="client_id" name="client_id" readonly placeholder="Cliente" value="{{opportunity.client_businessname}}">
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-6 col-md-6 col-sm-12 col-sx-12 m-t-15">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="zmdi zmdi-thumb-up"></i></span>
                            <div class="fg-line">
                                <input type="text" class="form-control" id="brand_id" name="brand_id" readonly placeholder="Marca" value="{{opportunity.brand_name}}">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-12 col-sx-12 m-t-15">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="zmdi zmdi-account"></i></span>
                            <div class="fg-line">
                                <input type="text" class="form-control" id="user_id" name="user_id" readonly placeholder="Usuario" value="{{opportunity.user_namefull}}">
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-6 col-md-6 col-sm-12 col-sx-12 m-t-15">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="zmdi zmdi-collection-item-1"></i></span>
                            <div class="fg-line">
                                <input type="text" class="form-control" id="opportunity_salenumber" name="opportunity_salenumber" placeholder="Código de Venta" title="Código de Venta" value="{{opportunity.opportunity_salenumber}}">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-12 col-sx-12 m-t-15">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                            <div class="fg-line">
                                <input type="text" class="form-control" id="milestone_date" name="milestone_date" readonly placeholder="Fecha de Venta" title="Fecha de Venta" value="{{opportunity.opportunity_conversion_date}}">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12">
                        <div class="m-t-25 text-right">
                            <input type="hidden" name="client_id" id="client_id" value="{{opportunity.client_id}}" />
                            <input type="hidden" name="brand_id_id" id="brand_id_id" value="{{opportunity.brand_id}}" />
                            <input type="hidden" name="total_cont_seri" id="total_cont_seri" value="{{total_cont_seri}}" />
                            <button type="button" class="btn btn-primary sa-guardar sf-ve"><i class="zmdi zmdi-check"></i> Guardar</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>

        <div class="col-lg-3 col-md-3 col-sm-12 col-sx-12">
            <div class="m-15 text-right" style="vertical-align:top; font-size:25px;">
                Venta #{{opportunity.opportunity_salenumber}}
                <br>
                <a href="{{path_for('edit-opportunity', {id: opportunity.opportunity_id})}}" style="font-size:18px;">Ir a la oportunidad</a>
            </div>
            <div class="m-15 p-15" style="border:1px solid #ccc; vertical-align:top;">

                <p class="c-blue">Contactos Empresa</p>

                {% for contact in contacts %}
                    <p title="Telefonos: {{contact.contact_phone}} - {{contact.contact_celphone}}">
                        {{contact.contact_name}} {{contact.contact_lastname}} <br />
                        {{contact.contact_email}}
                    </p>
                {% endfor %}

                <div style="margin:20px 0; border-top:1px solid #ccc;"></div>

                <button type="button" class="btn palette-Red bg waves-effect w-100 sf-anve"><i class="zmdi zmdi-close"></i> Anular Venta</button>
            </div>
        </div>
    </div>
</div>

<div class="card">
    <div class="card-header">
        <h2>Productos de la Venta</h2>
    </div>

    <!-- ////// -->
    <!-- ////// -->

    {% for product in products %}

        <div class="m-15 p-15" style="border:1px solid #ccc;">
            <div class="row">
                <div class="col-lg-8 col-md-8 col-sm-8 col-sx-8">
                    <span class="f-16">
                        <b>{{ product.product }}</b> -
                        SKU: <span class="c-brown">{{ product.sku }}</span>
                        <input type="hidden" id="sku" name="sku" value="{{ product.sku }}">
                        <br>
                        Cant. <span class="c-purple">{{ product.qty }}</span>
                        Precio unitario: <span class="c-purple">{{ product.currency }}{{ product.price|number_format(2, ',', '.') }}</span>
                        Precio total. <span class="c-purple">
                        {{ product.currency }}
                        {% if product.sku=="FTNT-COT" %}
                            {{ product.price|number_format(2, ',', '.') }}
                        {% else %}
                            {{ (product.price*product.qty)|number_format(2, ',', '.') }}
                        {% endif%}
                        </span>
                    </span>
                </div>
                <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 text-right">
                    <p class="c-lime">Fecha registro {{ product.date }}</p>
                </div>
            </div>

            <!--///////////////// -->

            {% for serial in product.serials %}

                <div class="row m-t-15">
                    {% if rules[product.sku]|length > 0  and ("REQUIRE_SERIAL_CONTRACT" in rules[product.sku] or "REQUIRE_DEAD_LINE" in rules[product.sku] or "REQUIRE_REGISTER_LIMIT" in rules[product.sku])%}

                    <div class="col-lg-3 col-md-3 col-sm-3 col-sx-3 ">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="zmdi zmdi-collection-item-1"></i></span>
                            <div class="fg-line">
                                <input type="text" class="form-control" id="serial_number{{serial.scid}}" name="serial_number{{serial.scid}}"  placeholder="# {{serial.type}}" value="{{serial.number}}" {% if rules[product.sku]|length > 0  and "REQUIRE_SERIAL_CONTRACT" in rules[product.sku]%} data-required="1" {% else %} data-required="0" readonly {% endif %}>
                            </div>
                            {% if serial.history %}
                            <!--<span class="input-group-addon last">
                              <div class="dropdown">
                                  <button type="button" class="btn btn-info waves-effect" data-toggle="dropdown" aria-expanded="false" title="Histórico de seriales">
                                    <i class="zmdi zmdi-eye"></i>
                                  </button>

                                  <ul class="dropdown-menu dm-dark palette-Blue-Grey bg">
                                    {% for history in serial.history %}
                                      <li><a href="#" style="cursor: initial">{{history.serial_history_number}}</a></li>
                                    {% endfor %}
                                  </ul>
                              </div>
                            </span>-->
                            {% endif %}
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-3 col-sm-3 col-sx-3">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                            <div class="fg-line">
                                <input type="text" class="date-picker-products form-control" name="serial_enddate{{serial.scid}}" id="serial_enddate{{serial.scid}}" placeholder="Vencimiento Licencia" value="{{serial.enddate}}" {% if rules[product.sku]|length > 0  and "REQUIRE_DEAD_LINE" in rules[product.sku]%} data-required="1" {% else %} data-required="0" readonly {% endif %}>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-3 col-sm-3 col-sx-3">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                            <div class="fg-line">
                                <input type="text" {% if opportunity.brand_id!="1" and opportunity.brand_id!="98" %}readonly{% endif %} class="date-picker-products form-control" name="serial_limitdate{{serial.scid}}" id="serial_limitdate{{serial.scid}}" placeholder="Fecha Límite Registro" value="{{serial.limitdate}}" {% if rules[product.sku]|length > 0  and "REQUIRE_REGISTER_LIMIT" in rules[product.sku]%} data-required="1" {% else %} data-required="0" readonly {% endif %}>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-3 col-sm-3 col-sx-3">
                        <input type="hidden" name="serial_type{{serial.scid}}" id="serial_type{{serial.scid}}" value="{{serial.type}}" />
                        <input type="hidden" name="serial_id{{serial.scid}}" id="serial_id{{serial.scid}}" value="{{serial.scid}}" />
						<input type="hidden" name="id_detail_serial{{serial.scid}}" id="id_detail_serial{{serial.scid}}" value="{{product.id_detail}}" />
						<input type="hidden" name="sku_serial{{serial.scid}}" id="sku_serial{{serial.scid}}" value="{{product.sku}}" />
                        <button type="button" class="btn btn-primary w-100 sf-serial" data-value="{{serial.scid}}"><i class="zmdi zmdi-check"></i> Guardar</button>
                    </div>

                	{% endif %}

                    <!--///////////////// -->

                    <div class="col-lg-9 col-md-9 col-sm-9 col-sx-9 m-t-15">
                        <span class="c-red m-l-15" id="error{{serial.scid}}"></span>
                    </div>
                    <div class="col-lg-3 col-md-3 col-sm-3 col-sx-3 m-t-15 text-right">
                        {% if rules[product.sku]|length > 0  and "REQUIRE_ADMIN_CLOSE" in rules[product.sku]%}
                            {% if serial.status=="0" %}
                            <button type="button" class="btn palette-Red bg  csadm-serial" data-value="{{serial.scid}}" data-status="1"><i class="zmdi zmdi-time-restore-setting zmdi-hc-fw"></i> Carga Pendiente</button>
                            {% else %}
                            <button type="button" class="btn palette-Green bg  csadm-serial" data-value="{{serial.scid}}" data-status="0"><i class="zmdi zmdi-check-square zmdi-hc-fw"></i> Carga Completa</button>
                            {% endif%}
                       	{% endif %}
                    </div>

                    <!--///////////////// -->

                    <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12  m-t-25" style="border-top:3px solid #eee;"></div>

                    <!--///////////////// -->

					{% if rules[product.sku]|length > 0  and "REQUIRE_CONTTRACT_ADITIONAL" in rules[product.sku]%}
                    <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="zmdi zmdi-collection-item-1"></i></span>
                            <div class="fg-line">
                                <input type="text" class="form-control" id="contrat_number{{serial.scid}}" name="contrat_number"  placeholder="# Contrato">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                            <div class="fg-line">
                                <input type="text" {% if opportunity.brand_id!="1" and opportunity.brand_id!="98"%}readonly{% endif %} class="date-picker-products form-control" name="contrat_limit" id="contrat_limit{{serial.scid}}" placeholder="Límite Registro">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25">
                        <button type="button" class="btn palette-Green bg waves-effect sf-contrato" id="up_or_edit{{serial.scid}}" data-value="{{serial.scid}}"><i class="zmdi zmdi-plus"></i> Adicionar</button>
                        <input type="hidden" name="contract_parent{{serial.scid}}" id="contract_parent{{serial.scid}}" value="{{serial.scid}}" />
                        <input type="hidden" name="opdeid{{serial.scid}}" id="opdeid{{serial.scid}}" value="{{product.id_detail}}" />
                        <input type="hidden" name="edit_id_contract{{serial.scid}}" id="edit_id_contract{{serial.scid}}" value="0" />
                        <span class="c-red m-l-15" id="errorc{{serial.scid}}"></span>
                    </div>

					{% endif %}

                    <!--///////////////// -->

                    <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12  m-t-15"></div>

                    <!--///////////////// -->

                    {% for cf in product.contracts_father %}
                        {% if cf.type == "Contrato" %}
                            {% if cf.scfid == serial.scid %}
                                <div id="contract_list_{{cf.scid}}">
                                    <input type="hidden" id="contract_{{cf.scid}}" value="{{cf.number}}" />
                                    <input type="hidden" id="date_end_{{cf.scid}}" value="{{cf.limitdate}}" />
                                    <input type="hidden" id="contract_parent_{{cf.scid}}" value="{{cf.scfid}}" />
                                    <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-15">
                                        <span class="m-l-15 c-orange"><b>{{cf.type}}
                                                {% if cf.number!="" %}
                                                    {{cf.number}}
                                                {% else %}
                                                    ###
                                                {% endif %}
                                            </b></span>
                                    </div>
                                    <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-15">
                                        <span class="c-orange m-l-15">
                                            {% if cf.limitdate!="" %}
                                                Fecha Límite {{cf.limitdate}}
                                            {% else %}
                                                - 0 -
                                            {% endif %}
                                        </span>
                                    </div>
                                    <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-15">
                                        <button type="button" class="btn palette-Orange bg waves-effect edit-scidparent" data-value="{{cf.scid}}"><i class="zmdi zmdi-edit"></i> Editar</button>
                                        <button type="button" class="btn palette-Red bg waves-effect del-scid" data-value="{{cf.scid}}"><i class="zmdi zmdi-delete"></i> Eliminar</button>
                                    </div>
                                </div>
                            {% endif %}
                        {% endif %}
                    {% endfor %}

                    <!--///////////////// -->
                    <!--///////////////// -->

                    {% for children in childrens %}
                        {% if children.scfid == serial.scid %}
                            <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12  m-t-15">

                                <div class="m-15 p-15" style="border:1px solid #ccc; border-left:10px solid #ccc; margin-left:30px !important;">
                                    <div class="row">
                                        <div class="col-lg-8 col-md-8 col-sm-8 col-sx-8">
                                            <span class="f-16">
                                                <b>
                                                    {{ children.product }} // SKU: <span class="c-brown">{{ children.sku }}</span> //
                                                    Precio unitario: <span class="c-purple">{{ children.currency }}{{ children.price|number_format(2, ',', '.') }}</span>
                                                </b>
                                            </span>
                                        </div>
                                        <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 text-right">
                                            <p class="c-lime">Fecha registro {{ children.date }}</p>
                                        </div>
                                    </div>

                                    <!--///////////////// -->

                                    <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12  m-t-25" style="border-top:3px solid #eee;"></div>

                                    <!--///////////////// -->

                                    <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25">
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="zmdi zmdi-collection-item-1"></i></span>
                                            <div class="fg-line">
                                                <input type="text" class="form-control" id="contrat_number_children{{children.scid}}" name="contrat_number_children{{children.scid}}"  placeholder="# Contrato" >
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25">
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                                            <div class="fg-line">
                                                <input type="text" {% if opportunity.brand_id!="1" and opportunity.brand_id!="98"%}readonly{% endif %} class="date-picker-products form-control" name="contrat_limit_children{{children.scid}}" id="contrat_limit_children{{children.scid}}" placeholder="Límite Registro">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-25">
                                        <button type="button" class="btn palette-Green bg waves-effect sf-contrato-edit" id="up_or_edit_children{{children.scid}}" data-value="{{children.scid}}" style="display:none;"><i class="zmdi zmdi-edit"></i> Guardar</button>
                                        <input type="hidden" name="scid_children{{children.scid}}" id="scid_children{{children.scid}}" value="0" />
                                        <span class="c-red m-l-15" id="errorc_children{{children.scid}}"></span>
                                    </div>

                                    <!--///////////////// -->

                                    <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12  m-t-15"></div>

                                    <!--///////////////// -->
                                    <!--///////////////// -->

                                    {% for contract in contracts %}
                                        {% if contract.scfid == children.scid %}
                                            <div class="row" id="contract_list_{{contract.scid}}">
                                                <input type="hidden" id="contract_children_{{contract.scid}}" value="{{contract.number}}" />
                                                <input type="hidden" id="date_end_children_{{contract.scid}}" value="{{contract.limitdate}}" />
                                                <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-15">
                                                    <span class="m-l-15 c-orange"><b>{{contract.type}}
                                                            {% if contract.number!="" %}
                                                                {{contract.number}}
                                                            {% else %}
                                                                ###
                                                            {% endif %}
                                                        </b></span>
                                                </div>
                                                <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-15">
                                                    <span class="c-orange m-l-15">
                                                        {% if contract.limitdate!="" %}
                                                            Fecha Límite {{contract.limitdate}}
                                                        {% else %}
                                                            - 0 -
                                                        {% endif %}
                                                    </span>
                                                </div>
                                                <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4 m-t-15">
                                                    <button type="button" class="btn palette-Orange bg waves-effect edit-scid" data-value="{{contract.scid}}" data-parent="{{children.scid}}"><i class="zmdi zmdi-edit"></i> Editar</button>
                                                </div>
                                            </div>
                                        {% endif %}
                                    {% endfor %}

                                    <!--///////////////// -->
                                </div>

                            </div>
                        {% endif %}
                    {% endfor %}

                    <!--///////////////// -->

                    <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12  m-t-25" style="border-top:3px solid #ccc;"></div>

                </div>
            {% endfor %}
        </div>

        <div class="" style="border-top:2px dashed #666; margin:50px 15px;"></div>
    {% endfor %}

    <!-- ////// -->
    <!-- ////// -->
    <br>
</div>

<!-- //////////////////////END-SAIL-EDIT////////////////////////////// -->


<!-- //////////////////////MODAL-ANULAR////////////////////////////// -->

<div class="modal fade" id="anularVenta" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Anular Venta</h4>
            </div>
            <div class="modal-body">
                <form role="form" id="form-reve">
                    <div class="row">

                        <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-15">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-comment-text"></i></span>
                                <div class="fg-line fopc1Has">
                                    <select class="selectpicker" name="milestone_title" id="milestone_title" data-placeholder="Motivo de cierre">
                                        <option value="">Motivo anulación</option>
                                        <option value="Falto informacion">Faltó información</option>
                                        <option value="Adicionar un nuevo producto">Adicionar un nuevo producto</option>
                                        <option value="Error de tipeo">Error de tipeo</option>
                                        <option value="Cliente decidio no continuar">Cliente decidio no continuar</option>
                                        <option value="Cliente tuvo una mejor oferta">Cliente tuvo una mejor oferta</option>
                                        <option value="Se pauso el proceso">Se pauso el proceso</option>
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-15">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-comment-text"></i></span>
                                <div class="fg-line fopc2Has">
                                    <input type="text" class="form-control" id="milestone_detail" name="milestone_detail" placeholder="Detalle cierre">
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-15">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                                <div class="fg-line fopc3Has">
                                    <input type="text" class="date-picker form-control" id="milestone_date" name="milestone_date" placeholder="Fecha">
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-15">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-thumb-up"></i></span>
                                <div class="fg-line fopc4Has">
                                    <select class="selectpicker" id="milestone_status" name="milestone_status">
                                        <option value="A">Activa</option>
                                        <option value="I">Inactiva/Borrada</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12 m-t-25 text-right">
                            <input type="hidden" name="mclient_id" id="mclient_id" value="{{opportunity.client_id}}" />
                            <button type="button" class="btn palette-Red bg waves-effect vereverse"><i class="zmdi zmdi-close"></i> Anular Venta</button>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-link" data-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
